function T=myexplicit(a,dt,dz,z0,zf,t0,tf,n,m)
format short g
a=1.79;
dt=0.01; 
dz=0.2; 
z0=0; 
zf=2; 
t0=0; 
tf=0.1;
n=(zf-z0)/dz;
m=(tf-t0)/dt;
z=[z0:dz:zf];
t=[t0:dt:tf];
r=(a*dt)/(dz^2);
T=zeros(m+1,n+1);
T(1,1:n+1)=2*z.^3
T(1:m+1,1)=zeros(m+1,1);
T(1:m+1,n+1)=16;
for j=1:m
    for i=2:n
        T(j+1,i)=(r*T(j,i+1))+((1-(2*r))*T(j,i))+(r*T(j,i-1))
    end
end
T
mesh(z,t,T)